# -*- coding: utf-8 -*-

import uuid
from datetime import datetime
from . import db

class BaseModel(db.Model):
    create_date = db.Column(db.DateTime, default=datetime.now)
    create_by = db.Column(db.String(64))
    update_date = db.Column(db.DateTime, default=datetime.now)
    update_by = db.Column(db.String(64))
    remarks = db.Column(db.String(255), default="")
    del_flag = db.Column(db.BOOLEAN, default=0)

class PrimaryModel(BaseModel):
    id = db.Column(db.Integer, primary_key=True, autoincrement=True)
    uuid = db.Column(db.String(64), primary_key=True, default=uuid.uuid1)

class AutoBaseModel(BaseModel):
    id = db.Column(db.Integer, primary_key=True, autoincrement=True)
    sort = db.Column(db.Integer, default=0)

class UuidBaseModel(BaseModel):
    id = db.Column(db.String(64), primary_key=True, default=uuid.uuid1)
    sort = db.Column(db.Integer, default=0)

class SortBaseModel(BaseModel):
    sort = db.Column(db.Integer, default=0)