# -*- coding: utf-8 -*-

from flask import Blueprint
from flask_restful import Api

from . import .

api_v1 = Blueprint('api_v1', __name__)

api = Api(api_v1)

api.add_resource(area.AreaListResource, '/area/', endpoint='area')
api.add_resource(area.AreaResource, '/area/<int:id>')
api.add_resource(cache_data.CacheDataListResource, '/cache', endpoint='cache')
api.add_resource(company_contact.ContactListResource, '/companyPhone/')
api.add_resource(company_contact.ContactResource, '/companyPhone/<int:id>')
api.add_resource(company.CompanyListResource, '/company/')
api.add_resource(company.ExtendCompanyResource, '/company/openApi')
api.add_resource(company.CompanyResource, '/company/<string:id>')
api.add_resource(dictionary.DictListResource, '/dictionary/')
api.add_resource(dictionary.ExtendDictResource, '/dictionary/groupBy')
api.add_resource(dictionary.DictResource, '/dictionary/<int:id>')
api.add_resource(equipment_attrs.AttrsListResource, '/equipmentAttributes/')
api.add_resource(equipment_attrs.AttrsResource, '/equipmentAttributes/<string:id>')
api.add_resource(equipment_attrs.AttrValuesListResource, '/equipmentAttributes/attr/')
api.add_resource(equipment_attrs.AttrValuesResource, '/equipmentAttributes/attr/<string:id>')
api.add_resource(equipment_login.LoginListResource, '/equipmentLoginLog/')
api.add_resource(equipment_msg.MessageListResource, '/equipmentMessage/')
api.add_resource(equipment_type.TypeListResource, '/equipmentTypes/')
api.add_resource(equipment_type.TypeResource, '/equipmentTypes/<string:id>')
api.add_resource(equipment_phone.PhoneListResource, '/equipmentPhone/')
api.add_resource(equipment_phone.PhoneResource, '/equipmentPhone/<int:id>')
api.add_resource(terminal_code.CodeListResource, '/equipmentTerminalCode/')
api.add_resource(equipment_operate.OperateLogListResource, '/terminalLog/')
api.add_resource(equipment_parameters.ParameterListResource, '/equipmentParameter/')
api.add_resource(equipment_parameters.ParameterResource, '/equipmentParameter/<int:id>')
api.add_resource(equipment_parameters.CustomParametersResource, '/parameters/custom/')
api.add_resource(equipment_history_data.HistoryDataResource, '/historyData/<string:id>/')
api.add_resource(equipment_history_data.HistoryChartResource, '/historyData/chart/<string:id>/')
api.add_resource(equipment_now_data.NowDataListResource, '/equipmentNowData/')
api.add_resource(equipment_now_data.NowDataResource, '/equipmentNowData/<string:id>')
api.add_resource(equipment_now_data.ChartDataResource, '/equipmentNowData/chart/<string:id>')
api.add_resource(equipment.EquipmentListResource, '/equipment/')
api.add_resource(equipment.EquipmentResource, '/equipment/<string:id>')
api.add_resource(equipment.ExtendEquipmentResource, '/equipment/exists')
api.add_resource(equipment.EquipmentsConfig, '/equipment/config')
api.add_resource(equipment.LabEquipmentResource, '/equipment/getLabEquipment')
api.add_resource(equipment.TerminalCodeResource, '/equipment/getTerminalCode')
api.add_resource(user.UserListResource, '/user/')
api.add_resource(user.UserResource, '/user/<string:id>')
api.add_resource(user.ExtendUserResource, '/user/updateOperation/<string:id>')
api.add_resource(user_weixin.UserWeiXinListResource, '/userWeixin/')
api.add_resource(user_weixin.UserWeiXinResource, '/userWeixin/<string:id>')
api.add_resource(warning_report.WarningReportListResource, '/warningReport/')
api.add_resource(warning_type.WarningTypeListResource, '/warningTypes/')
api.add_resource(warning_type.WarningTypeResource, '/warningTypes/<string:id>')
api.add_resource(firmware.FirmwareListResource, '/firmware/')
api.add_resource(firmware.FirmwareResource, '/firmware/<int:id>')
api.add_resource(menu.MenuListResource, '/menu/')
api.add_resource(menu.MenuResource, '/menu/<string:id>')
api.add_resource(operation.OperationListResource, '/operation/')
api.add_resource(operation.OperationResource, '/operation/<string:id>')
api.add_resource(operation.UserOperationResource, '/operation/getUserOperation/<string:user>')
api.add_resource(operation.MenuOperationResource, '/operation/getMenuOperation/')
api.add_resource(role.RoleListResource, '/role/')
api.add_resource(role.RoleResource, '/role/<string:id>')
api.add_resource(role_user.RoleUserListResource, '/roleUser/')
api.add_resource(role_permission.RolePermissionListResource, '/rolePermission/')
api.add_resource(role_permission.RolePermissionResource, '/rolePermission/<string:id>')
api.add_resource(role_permission.ExtendRolePermission, '/rolePermission/type/<string:type>')
api.add_resource(permission.PermissionListResource, '/permission/')
api.add_resource(permission.PermissionResource, '/permission/<string:id>')
api.add_resource(permission_related.RelatedListResource, '/permissionRelated/')
api.add_resource(permission_related.ExtendRelatedResource, '/permissionRelated/batch/')
api.add_resource(permission_related.RelatedResource, '/permissionRelated/<string:id>')
api.add_resource(public.UserInfoResource, '/public/login')
api.add_resource(public.FileResource, '/public/fileRequest/')
api.add_resource(public.WeixinLogin, '/public/weixin/login/')
api.add_resource(public.BackstageResource, '/public/equipmentMap')
api.add_resource(public.SystemResource, '/public/dashboard')
api.add_resource(public.LogoutResource, '/public/logout')
api.add_resource(containers.ContainerListResource, '/containers/')
api.add_resource(synchronous.CompanySyncResource, '/synchronous/company/')
api.add_resource(synchronous.EquipmentSyncResource, '/synchronous/equipment/')
api.add_resource(synchronous.CompanyThirdPartySyncResource, '/synchronous/thirdparty/company/')
api.add_resource(synchronous.EquipmentThirdPartySyncResource, '/synchronous/thirdparty/equipment/')
api.add_resource(synchronous.UserSyncResource, '/synchronous/user/')
api.add_resource(report.ReportResource, '/report/')
api.add_resource(openapi.APIEquipmentResource, '/openapi/equipment/')